Search found 670 matches

by gnwiii
Sun Mar 06, 2022 8:05 pm America/New_York
Forum: Questions/Comments
Question: Python3 on Linux
Replies: 5

Re: Python3 on Linux

I get a message '/usr/bin/env: ‘python3’: No such file or directory'. Just to clarify the problem: Linux distros generally follow the python.org recommendation to use "python" for version 2.x, "python3" for version 3.x, but ADAPT Anaconda uses "python", and https://www...
by gnwiii
Tue Feb 22, 2022 6:10 pm America/New_York
Forum: Questions/Comments
Question: Parallel OCSSW l2gen code with OpenMP
Replies: 3

Re: Parallel OCSSW l2gen code with OpenMP

Hello, I want parallel ocssw l2gen code with OpenMP. Many OCSSW users want to do the same l2gen processing on many files. For that use case, running multiple l2gen processes (e.g., using GNU parallel) is simple and efficient. I have done exactly that many times. Note that mass storage I/O is often ...
by gnwiii
Fri Feb 04, 2022 8:21 am America/New_York
Forum: Questions/Comments
Question: Multilevel_processor issues
Replies: 8

Re: Multilevel_processor issues

I see that by OB SeaDAS - xuanyang02 » Thu Feb 03, 2022 6:54 pm America/Anguilla And I tried multilevel_processor GUI with your setting(with A2004006210000.L1A_LAC being the context of _inputFiles.lst), and created A2004006210000mlp.L2_LAC_OC. This is Rrs_469 in A2004006210000mlp.L2_LAC_OC look like...
by gnwiii
Sat Jan 29, 2022 9:35 am America/New_York
Forum: Questions/Comments
Question: tutorial
Replies: 2

Re: tutorial

how to process the distance to the nearest coast data that has been downloaded at nasa ocean color If you explain your problem in more detail you will have a better chance of getting good answers. Posts to the forum are most effective when the English text is very clear and precise. In many cases, ...
by gnwiii
Thu Jan 27, 2022 10:56 am America/New_York
Forum: Questions/Comments
Question: Python3.6 installation error in Ubuntu for SeaDAS
Replies: 1

Re: Python3.6 installation error in Ubuntu for SeaDAS

There was a Python 3.6 package for Ubuntu 16.04 (at https://launchpad.net/~jonathonf ) but it is no longer available. You can still install Python 3.6 from source: https://www.rosehosting.com/blog/how-to-install-python-3-6-on-ubuntu-16-04/ . SeaDAS 8 was, however, also tested with Ubuntu 20.04 (LTS)...
by gnwiii
Thu Jan 27, 2022 10:37 am America/New_York
Forum: Questions/Comments
Question: download with wget serie of files
Replies: 2

Re: download with wget serie of files

Have you reviewed the current https://oceancolor.gsfc.nasa.gov/data/download_methods/ ? For me, wget is not reliable, but I have had better luck using the python script. One thing to try with wget is the option to use wget's "--adjust-extension" option to set the extension. If there is an ...
by gnwiii
Thu Jan 20, 2022 8:39 am America/New_York
Forum: Questions/Comments
Question: L2gen fail with exit code 1
Replies: 13

Re: L2gen fail with exit code 1

The OCSSW system has a separate installer called "install_ocssw". I don't think uninstalling the GUI will affect the existing OCSSW install. The installer is a python script that can be run from the command line. There are detailed instructions at https://seadas.gsfc.nasa.gov/downloads/ un...
by gnwiii
Thu Jan 13, 2022 9:35 pm America/New_York
Forum: Questions/Comments
Question: l2gen not using specific settings
Replies: 9

Re: l2gen not using specific settings

I think V2022.0 uses the new https://oceancolor.gsfc.nasa.gov/docs/f ... onvention/, so is not a drop-in replacement for existing workflows.
by gnwiii
Wed Jan 12, 2022 8:36 pm America/New_York
Forum: Questions/Comments
Question: Download L3SMI data using R
Replies: 3

Re: Download L3SMI data using R

The R script "works for me" using <<files <- "https://oceandata.sci.gsfc.nasa.gov (/cgi/getfile/L2020366.L3m_DAY_CYAN_CI_cyano_CYAN_CONUS_300m_1_1.tif)">>. You can generate a list of URL's using the file search page: [url]https://oceandata.sci.gsfc.nasa.gov (/api/file_search/)[/u...
by gnwiii
Wed Dec 29, 2021 1:30 pm America/New_York
Forum: Questions/Comments
Question: OCSSW Installation error
Replies: 1

Re: OCSSW Installation error

You appear to be using Python 3.5. https://seadas.gsfc.nasa.gov/requirements/ states that you need Python 3.6 or above. Note that you may also need to install a suitable python3-requests package. When asking for help it is good practice to mention your OS version because others using the same OS ver...